Bug 126733 - hotplug does not load pcmcia compact flash readers
Summary: hotplug does not load pcmcia compact flash readers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-25 14:00 UTC by Stefano Maffulli
Modified: 2014-03-17 02:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 21:07:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefano Maffulli 2004-06-25 14:00:34 UTC
Description of problem:
when I insert the pcmcia reader with a CF inserted in it, the kernel
reports it as /dev/hde but hotplug fails (see the log, it claims a
missing /sbin/ide_info).  Manually mounting the filesystem does not
give any problem

Version-Release number of selected component (if applicable):
Name        : hotplug              
Version     : 2004_04_01  
Release     : 1 

Steps to Reproduce:
1. insert the pcmcia adapter in slot
  
Actual results:
this is an extract of /var/log/messages:

Jun 25 15:56:48 plusultra cardmgr[3463]: socket 1: ATA/IDE Fixed Disk
Jun 25 15:56:49 plusultra kernel: hdg: , CFA DISK drive
Jun 25 15:56:49 plusultra kernel: ide3 at 0x110-0x117,0x11e on irq 5
Jun 25 15:56:49 plusultra kernel: hdg: max request size: 128KiB
Jun 25 15:56:49 plusultra kernel: hdg: 31232 sectors (15 MB) w/1KiB
Cache, CHS=61/16/32
Jun 25 15:56:49 plusultra kernel:  hdg: hdg1
Jun 25 15:56:49 plusultra kernel: ide-cs: hdg: Vcc = 3.3, Vpp = 0.0
Jun 25 15:56:49 plusultra cardmgr[3463]: executing: './ide start hdg 2>&1'
Jun 25 15:56:49 plusultra cardmgr[3463]: + ./ide: line 1:
/sbin/ide_info: No such file or directory

Expected results:
It should work as it works for usb flash memory: plug-and-mount :)

Comment 1 Bill Nottingham 2005-02-04 21:07:35 UTC
This is solved in FC3 with HAL and fstab-sync. 


Note You need to log in before you can comment on or make changes to this bug.